Qt 5.8 | QDoc Manual

Qt 5.8.0 Reference Documentation

# Switch QML Type

A component that can be turned on or off More...

Import Statement: | import UIComponents 1.0

- List of all members, including inherited members

## Properties

- on : bool

## Methods

- toggle()

## Detailed Description

A toggle switch has two states: an `on` and an `off` state. The `off` state is when the on property is set to `false`.

The ToggleSwitch component is part of the UI Components module.

This documentation is part of the UIComponents example.

## Property Documentation

on : bool

Indicates the state of the switch. If `false`, then the switch is in the `off` state.

## Method Documentation

toggle()

A method to toggle the switch. If the switch is `on`, the toggling it will turn it `off`. Toggling a switch in the `off` position will turn it `on`.